Subject: Re: [PATCH 3/3] ath10k: add firmware files

From: Kalle Valo <[email-masked]>
Date: Fri, 14 Mar 2014 19:07:29 +0200

"Luis R. Rodriguez" <[email-masked]> writes:

> On Fri, Mar 14, 2014 at 1:45 AM, Kalle Valo <[email-masked]> wrote:
>
>> + NO LICENSES OR OTHER RIGHTS,
>> +WHETHER EXPRESS, IMPLIED, BASED ON ESTOPPEL OR OTHERWISE, ARE GRANTED
>> +TO ANY PARTY'S PATENTS, PATENT APPLICATIONS, OR PATENTABLE INVENTIONS
>> +BY VIRTUE OF THIS LICENSE OR THE DELIVERY OR PROVISION BY QUALCOMM
>> +ATHEROS, INC. OF THE SOFTWARE.
>
> This -- however is new to linux-firmware -- and I hereby raise a big
> red fucking flag. All other licenses on linux-firmware provide at the
> very least a limited patent grant. What makes Qualcomm special ?

Well, I was just told to use this license with our firmware, I didn't
write this.

-- 
Kalle Valo